<template>

  <div class="black-bg" v-if="modal == true">
    <div class="white-bg">
      <h4>상세페이지</h4>
      <p>상세페이지 내용</p>
      <button @click="modal=false">닫기</button>
    </div>
  </div>

  <div>

  

    <div class="menu">
      <a v-for="(a,i) in 메뉴들" :key="i">{{ a }} {{ i }}</a>
    </div>
  
    <div v-for="(a,i) in products" :key="i">
      <img :src="oneroom[i].image" class="room-img">
      <!-- <img :src="require(`@/assets/${img}`)" />  -->
      <!-- <img :src="require(`@/assets/${images[i]}`)" class="room-img"> -->
      <!-- https://im-designloper.tistory.com/81 -->
      <!-- 이미지 변수로 어떻게 쓰는지는 체크 -->
      <!-- ./부터 사용해 줘야한다. -->
      <h4 @click="modal = true">{{ oneroom[i].title}}</h4>
      <p>{{oneroom[i].price }}원</p>
      <!-- <button v-on:click="increase(i)">허위매물신고</button> <span>신고수 : {{ alert[i] }}</span> -->
      <!-- 함수 이름만 써줘야한다. 인자 들어갈 때 빼고-->
      <!-- <button v-on:click="alert++">허위매물신고</button> <span>신고수 : {{ alert }}</span> -->
      <!-- 이벤트 종류 되게 많다. -->
      <!-- <button @mouseover=""></button> -->
      <!-- @click -->
      <!-- v-on:click=""" -->
    </div>

  
</div>
</template>

<script>

import data from './assets/data'
// import {} from ~

export default {
  name: 'App',
  data(){
    return{
      modal : false, // 닫힌 상태와, 열린상태 2가지 표현 0과1로 혹은 true,false
      alert:[0,0,0],
      price1 : 60,
      price2 : 70,
      price3:80,
      prices:[60,70,80],
      스타일 : 'color:blue',
      products: ["은평구원룸",'천호동원룸','마포구원룸'],
      메뉴들 : ["Home","Shop","About"],
      images:["room0.jpg","room1.jpg","room2.jpg"],
      oneroom:data,
      //import 해온것
      


    }
  },
  methods:{
    // 함수 만드는 공간
    increase(i){
      this.alert[i]+=1;
    }

  },
  components: {

  }
}
</script>

<style>
body{
  margin:0;
}
/* 여기부터 modal */
div{
  box-sizing: border-box;
}
.black-bg{
  width: 100%; height: 100%;
  background: rgba(0,0,0,0.5);
  position: fixed; padding: 20px;
}
.white-bg{
  widows: 100%; background: white;
  border-radius: 8px;
  padding:20px;
}
.room-img{
  width:100%;
  margin-top:40px;
}
/* modal끝 */

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

.menu{
  background: darkslateblue;
  padding:15px;
  border-radius: 5px;
}
.menu a{
  color:white;
  padding:10px;
}
</style>
